%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-mechanoid
Version:        0.6.9
Release:        13%{?dist}
Summary:        Python Programmatic Web Browser

Group:          Development/Languages
License:        GPLv2+
URL:            http://python.org/pypi/mechanoid
Source0:        http://cheeseshop.python.org/packages/source/m/mechanoid/mechanoid-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-devel

%description
mechanoid is a programmatic browser written in Python.  It is not a
web-bot and does not parse /robots.txt. It is intended to function as
the backend of special browsers, such as voice-text/text-voice browsers,
or to perform directed tasks, such as login to SourceForge to do a Quick
Release or to send and receive Yahoo! web mail.

%define namewithoutpythonprefix %(echo %{name} | sed 's/^python-//')
%prep
%setup -q -n %{namewithoutpythonprefix}-%{version}

sed -i 's/\r//' COPYING
#  remove network test which fails in Fedora build system
sed -i 's/socket.gethostname()/"localhost"/' ./test/test_urllib2.py

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

#%check
#  I can't reliably get the Fedora build environment failures to occur in
#  my test environment, and I don't have the attention to remove a test,
#  wait 20 minutes for the build system to fail, and repeat an unknown
#  number of times.  Removing the tests.
#%{__python} test.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING changelog PKG-INFO README notes
%{python_sitelib}/mechanoid
%{python_sitelib}/mechanoid-*.egg-info

%changelog
* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.9-13
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Kevin Fenzi <kevin@tummy.com> - 0.6.9-10
- import and rebuild for f11
- Fix License tag
- Add egg file

* Sun Oct 21 2007 Sean Reifschneider <jafo@tummy.com> 0.6.9-9
- Done trying to figure out the build environment, disabling tests.

* Sun Oct 21 2007 Sean Reifschneider <jafo@tummy.com> 0.6.9-8
- Adding a patch to remove tests that fail in the Fedora build environment.

* Sun Oct 21 2007 Sean Reifschneider <jafo@tummy.com> 0.6.9-7
- Adding a patch to remove tests that fail in the Fedora build environment.

* Sun Oct 21 2007 Sean Reifschneider <jafo@tummy.com> 0.6.9-6
- Adding a patch to remove tests that fail in the Fedora build environment.

* Sun Oct 21 2007 Sean Reifschneider <jafo@tummy.com> 0.6.9-5
- Adding a patch to remove tests that fail in the Fedora build environment.

* Sun Oct 14 2007 Sean Reifschneider <jafo@tummy.com> 0.6.9-4
- Changing changelog section to remove percent-check.

* Sat Jun 09 2007 Sean Reifschneider <jafo@tummy.com> 0.6.9-3
- Changes based on review from Jason Tibbitts:
- Fixing the unix2dos conversion.
- Adding in "check" section to run the test suite.

* Sat Jun 09 2007 Sean Reifschneider <jafo@tummy.com> 0.6.9-2
- Changes based on review from Jason Tibbitts:
- Fixing DOS line-ending of COPYING file.
- Adding python-devel package dependency.
- no-oping test that requires network access.

* Sat Jun 09 2007 Sean Reifschneider <jafo@tummy.com> 0.6.9-1
- Initial RPM spec file.
